---
title: Getting started
description: ''
---

## Installation

Add `nuxt-ionic` to your project's dev dependencies:

::code-group

```bash [yarn]
yarn add --dev nuxt-ionic
```

```bash [npm]
npm install nuxt-ionic -D
```

```bash [pnpm]
pnpm install nuxt-ionic -D
```

::

Then add the module to your Nuxt configuration:

```js{}[nuxt.config]
import { defineNuxtConfig } from 'nuxt'

export default defineNuxtConfig({
  modules: ['nuxt-ionic']
})
```

You're good to go!

## Options

While not required, you can configure the features that are enabled:

```js
import { defineNuxtConfig } from 'nuxt'

export default defineNuxtConfig({
  modules: ['nuxt-ionic'],
  ionic: {
    integrations: {
      //
    },
    css: {
      //
    },
  },
})
```

### `integrations`

- **meta**

  Default: `true`
  Disable to take full control of meta tags.

- **pwa**

  Default: `true`
  Disable to take full control of icon generation, manifest and service worker installation.

- **router**

  Default: `true`
  Disable to configure Ionic Router yourself.

### `css`

- **core**

  Default: `true`
  Disable to import these CSS files manually.

- **basic**

  Default: `true`
  Disable to import these CSS files manually.

- **utilities**

  Default: `false`
  Enable to add extra Ionic CSS utilities.
