---
title: Usage
description: ''
---

## Page routing

Out of the box, you can start building your Ionic application by creating routes within `~/pages` directory. To access the router, you should use `useIonRouter()` rather than an import from `vue-router`.

Nuxt utilities like `definePageMeta` will continue to work, but you should avoid using `<NuxtPage>` or `<NuxtLayout>`.

::alert
The root component of every page should be the `<ion-page>` component.
::

## Components

All Ionic Vue components should be auto-imported throughout your app. (If you find one that isn't, please open an issue.) Although your IDE should be aware of these everywhere, they are not globally registered and are only imported within the components that use them.

For more on how component imports work, see the [Nuxt documentation](https://v3.nuxtjs.org/guide/directory-structure/components#components-directory).

## Helper functions

Nuxt provides a number of Ionic hooks/composables via auto-imports within your app:

`createAnimation`, `createGesture`, `getPlatforms`, `getTimeGivenProgression`, `iosTransitionAnimation`, `isPlatform`, `mdTransitionAnimation`, `menuController`, `onIonViewWillEnter`, `onIonViewDidEnter`, `onIonViewWillLeave`, `onIonViewDidLeave`, `useBackButton`, `useKeyboard`, `useIonRouter`

For more on what these do, you can read the [Ionic docs](https://ionicframework.com/docs/). For more on how auto-imports work, see the [Nuxt documentation](https://v3.nuxtjs.org/guide/concepts/auto-imports#auto-imports).

## Advanced

### Customizing your root `app.vue`

If you need to customize the default Ionic `app.vue` file, you can create a new one in your project's source directory.

This is the default:

```vue [app.vue]
<template>
  <div class="md">
    <ion-app>
      <ion-router-outlet />
    </ion-app>
  </div>
</template>
```
